List Threads
List threads with filtering and pagination.
Query Parameters
limit?Limit
Range
1 <= value <= 1000Default
20offset?Offset
Range
0 <= valueDefault
0source?string|null
space_id?|
Optional isolation space to list
project_key?string
Opaque exact project key returned by GET /threads/projects. Invalid keys return 422. Omit for all projects.
Response Body
application/json
application/json
curl -X GET "https://example.com/threads"{ "threads": [ { "id": "string", "title": "string", "summary": "", "source": "string", "messages": 0, "date": "string", "is_favorite": false, "space_id": "default", "thread_id": "string", "storage_id": "string", "thread_reference": "string", "project": "string", "workspace": "string" } ], "pagination": { "limit": 0, "offset": 0, "total": 0, "has_more": true }}